> ## Documentation Index
> Fetch the complete documentation index at: https://docs.managexr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Device

> Update device metadata and configuration



## OpenAPI

````yaml PATCH /organizations/{orgId}/devices/{deviceId}
openapi: 3.1.0
info:
  title: ManageXR API
  description: API documentation for ManageXR
  version: 1.0.0
servers:
  - url: https://managexrapi.com
    description: ManageXR API Server
security:
  - basicAuth: []
paths:
  /organizations/{orgId}/devices/{deviceId}:
    patch:
      summary: Edit Device
      description: Update device metadata and configuration
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: >-
            The ID of the organization. Locate the orgId under Organization
            Settings > API Keys.
        - name: deviceId
          in: path
          required: true
          schema:
            type: string
          description: The ID (serial number) of the device.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  required: false
                  description: Name of device
                configurationId:
                  type: string
                  required: false
                  description: ID of configuration applied to device
                notes:
                  type: string
                  required: false
                  description: Device notes
                tagIds:
                  type: array
                  required: false
                  description: >-
                    Array of tag ids to apply to device. Replaces any existing
                    tags
                  items:
                    type: string
                    example: k7FQPc24o4Y7M0FK
                    description: The id of a tag you want to set on the device
            examples:
              example-update:
                summary: Update device name, configuration, and notes
                value:
                  name: Taylor Quest 3
                  configurationId: yw5VSRLRoRDhNRhm0Nl
                  notes: At conference
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        API key based authentication where <encoded-value> is the Base64
        encoding of `API_KEY_ID`:`API_KEY_SECRET`

        - **Username**: The API Key ID.

        - **Password**: The API Key Secret.

````